Bug 284672 - Active Image-Viewer sorting when showing pictures within a local folder seems to be random
Summary: Active Image-Viewer sorting when showing pictures within a local folder seems...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: unscheduled
Assignee: active
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-22 08:16 UTC by Robby Engelmann
Modified: 2011-12-23 23:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robby Engelmann 2011-10-22 08:16:53 UTC
Version:           unspecified (using KDE 4.7.2) 
OS:                Linux

When I want to show photos within a local folder, I do not understand how they are sorted. They seem to be in a random order.

Reproducible: Always

Steps to Reproduce:
-Copy photos from a camera (names like: IMG345.JPG, IMG346.JPG, ...) into a local folder
-start dolphin
-double tap on the first photo to start Active Image-Viewer
-wait some time until first photo is shown

Actual Results:  
-ordering seems to be random (not sorted for date or filename)

Expected Results:  
-photos should be ordered either by the date/time the photo is taken
-or by the filename (possibly give option to the user?)

I am using plasma-active from the OpenSuse Build Service, the packages from this morning
Comment 1 Javier Llorente 2011-10-31 14:57:05 UTC
Issue reproducible on 2011-10-27-21-59-basyskom-plasma-active-testing-meego-usb-live.iso
Comment 2 Lamarque V. Souza 2011-12-21 20:23:08 UTC
Git commit 1579a3c5c0763a8365960acb15256738987ba821 by Lamarque V. Souza.
Committed on 21/12/2011 at 21:11.
Pushed by lvsouza into branch 'Active/Two'.

Sort images by filename in active-imageviewer. It's static sorting, that
is, newer images will be appended to grid view end. Reopen imageviewer
to sort them again.
I think we can implement dynamic sorting using QSortFilterProxyModel as
the base class of MetadataModel instead of AbstractMetadataModel.
The sorting is case sensitive too. I have not figure out how to solve
this yet.

CCBUG: 284672
(cherry picked from commit 3531ed4599c2fb9e2ff3440f078e09dc5f0c132d)

M  +1    -1    applications/imageviewer/package/contents/ui/imageviewer.qml

http://commits.kde.org/plasma-mobile/1579a3c5c0763a8365960acb15256738987ba821
Comment 3 Lamarque V. Souza 2011-12-21 20:23:09 UTC
Git commit 3531ed4599c2fb9e2ff3440f078e09dc5f0c132d by Lamarque V. Souza.
Committed on 21/12/2011 at 21:11.
Pushed by lvsouza into branch 'master'.

Sort images by filename in active-imageviewer. It's static sorting, that
is, newer images will be appended to grid view end. Reopen imageviewer
to sort them again.
I think we can implement dynamic sorting using QSortFilterProxyModel as
the base class of MetadataModel instead of AbstractMetadataModel.
The sorting is case sensitive too. I have not figure out how to solve
this yet.

CCBUG: 284672

M  +1    -1    applications/imageviewer/package/contents/ui/imageviewer.qml

http://commits.kde.org/plasma-mobile/3531ed4599c2fb9e2ff3440f078e09dc5f0c132d
Comment 4 Lamarque V. Souza 2011-12-22 00:40:26 UTC
Well, this explains why the sorting is case sensitive: http://www.entagen.com/blog_files/6e69c54a361952e9ea5b341e156e7161-5.html

Now I need to figure out how to use those xpath-functions in nepomuk :-/
Comment 5 Lamarque V. Souza 2011-12-23 00:29:33 UTC
Git commit 6d9d7bcc7b237977f3eeac2840691258d50c7177 by Lamarque V. Souza.
Committed on 23/12/2011 at 01:25.
Pushed by lvsouza into branch 'master'.

Enable dynamic sorting in active-imageviewer, the sorting is still
case-sensitive.
For some reason SortFilterModel does not sort images when imageviewer is
launched, but it does when any image is added or removed.

CCBUG: 284672

M  +6    -1    applications/imageviewer/package/contents/ui/Browser.qml

http://commits.kde.org/plasma-mobile/6d9d7bcc7b237977f3eeac2840691258d50c7177
Comment 6 Lamarque V. Souza 2011-12-23 23:22:11 UTC
Git commit 8b256995c60bfb31583ffb43a30fdeaf06b5a140 by Lamarque V. Souza.
Committed on 23/12/2011 at 01:25.
Pushed by lvsouza into branch 'Active/Two'.

Enable dynamic sorting in active-imageviewer, the sorting is still
case-sensitive.
For some reason SortFilterModel does not sort images when imageviewer is
launched, but it does when any image is added or removed.

CCBUG: 284672
(cherry picked from commit 6d9d7bcc7b237977f3eeac2840691258d50c7177)

M  +6    -1    applications/imageviewer/package/contents/ui/Browser.qml

http://commits.kde.org/plasma-mobile/8b256995c60bfb31583ffb43a30fdeaf06b5a140
Comment 7 Lamarque V. Souza 2011-12-23 23:22:11 UTC
Git commit 43232b87968cedd41963559ae7ab7bb948f7f792 by Lamarque V. Souza.
Committed on 24/12/2011 at 00:19.
Pushed by lvsouza into branch 'Active/Two'.

Case insensitively sort images in active-imageviewer.

BUG: 284672
(cherry picked from commit b972e1828ef050d784196e0915c04a13b7cbb31a)

M  +1    -0    applications/imageviewer/package/contents/ui/Browser.qml
M  +4    -0    applications/imageviewer/package/contents/ui/imageviewer.qml
M  +10   -0    components/metadatamodel/metadatamodel.cpp
M  +8    -0    components/metadatamodel/metadatamodel.h

http://commits.kde.org/plasma-mobile/43232b87968cedd41963559ae7ab7bb948f7f792
Comment 8 Lamarque V. Souza 2011-12-23 23:22:11 UTC
Git commit b972e1828ef050d784196e0915c04a13b7cbb31a by Lamarque V. Souza.
Committed on 24/12/2011 at 00:19.
Pushed by lvsouza into branch 'master'.

Case insensitively sort images in active-imageviewer.

BUG: 284672

M  +1    -0    applications/imageviewer/package/contents/ui/Browser.qml
M  +4    -0    applications/imageviewer/package/contents/ui/imageviewer.qml
M  +10   -0    components/metadatamodel/metadatamodel.cpp
M  +8    -0    components/metadatamodel/metadatamodel.h

http://commits.kde.org/plasma-mobile/b972e1828ef050d784196e0915c04a13b7cbb31a